Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.wlp.rest.results
Enum ResponseCode

    java.lang.Object
      java.lang.Enum<ResponseCode>
          com.bea.wlp.rest.results.ResponseCode

All Implemented Interfaces
  Serializable, Comparable<ResponseCode>

    public enum ResponseCode

extends Enum<ResponseCode>

Represents an HTTP Response code and message that can be returned by a `RestResult`.

Enum Constant Summary
`InsufficientInformation`
`InsufficientPrivileges`
`InternalError`
`InvalidCommand`
`OK`
`ServiceNotAvailable`
`ServiceTemporaryNotAvailable`
`Unauthorized`
`UnsupportedMethod`

Method Summary
`String` | `getMessage()`
`ResponseMessage` | `getResponseMessage()`
`int` | `getStatus()`
`static ResponseCode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ResponseCode[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OK

    public static final ResponseCode OK

### ServiceNotAvailable

    public static final ResponseCode ServiceNotAvailable

### ServiceTemporaryNotAvailable

    public static final ResponseCode ServiceTemporaryNotAvailable

### InsufficientPrivileges

    public static final ResponseCode InsufficientPrivileges

### InsufficientInformation

    public static final ResponseCode InsufficientInformation

### InternalError

    public static final ResponseCode InternalError

### InvalidCommand

    public static final ResponseCode InvalidCommand

### UnsupportedMethod

    public static final ResponseCode UnsupportedMethod

### Unauthorized

    public static final ResponseCode Unauthorized

Method Detail

### values

    public static final ResponseCode[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static ResponseCode valueOf(String name)

  Returns the enum constant of this type with the specified name.

### getStatus

    public int getStatus()

### getMessage

    public String getMessage()

### getResponseMessage

    public ResponseMessage getResponseMessage()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved